Subject: Re: [trill] [RTG-DIR] Routing directorate QA review of draft-ietf-trill-rbridge-multilevel

From: Donald Eastlake <[email-masked]>
Date: Sat, 4 Jun 2016 18:36:58 -0400

Hi Stig,

https://tools.ietf.org/html/draft-ietf-trill-rbridge-multilevel-03 has
been uploaded with the comment resolutions below incorporated.

Thanks,
Donald
===============================
 Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
 155 Beaver Street, Milford, MA 01757 USA
 [email-masked]

On Thu, May 26, 2016 at 12:23 AM, Donald Eastlake <[email-masked]> wrote:
> Hi Stig,
>
> On Wed, May 25, 2016 at 3:26 PM, Alia Atlas <[email-masked]> wrote:
>> Stig,
>>
>> Thank you very much for your review.  I'm also forwarding it to trill so
>> that the WG can see it.
>>
>> Regards,
>> Alia
>>
>> On Wed, May 25, 2016 at 2:28 PM, Stig Venaas <[email-masked]> wrote:
>>>
>>> Hi
>>>
>>> Sorry for being a bit late with this review. At least the document is
>>> well written and easy to understand. There are no significant issues.
>>>
>>> I am wondering about the security considerations though. Are there
>>> really no differences between the multi-level alternatives when it
>>> comes to security?
>
> Well, I guess a couple sentences could be added that the choice of
> using aggregated nicknames, and the resulting possible duplication of
> nicknames between areas, increases the possibility of a TRILL Data
> packet being delivered to the wrong egress RBridge if areas are
> suddenly merged. However, is many cases the data would be discarded at
> that egress because it would not match a known end station data label
> / MAC address.
>
>>> I have two tiny editorial comments.
>>>
>>> Section 1.4 typo
>>> RBridge - Routing Bridge, an alterntive name for a TRILL switch
>>>                                                ^^^^^^^^^
>
> OK,
>
>>> Also, several places it says "non-zero" which is correct, but there
>>> are some instances of "nonzero".
>
> Apparently both of those are correct but I agree the draft should use
> one of them consistently. I'll replace the two instances of nonzero
> with the hyphenated form.
>
> Thanks,
> Donald
> ===============================
>  Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
>  155 Beaver Street, Milford, MA 01757 USA
>  [email-masked]
>
>>> Stig
>>>
>>>
>>> On Wed, May 4, 2016 at 11:52 PM, Jonathan Hardwick
>>> <[email-masked]> wrote:
>>> > Hi Stig
>>> >
>>> >
>>> >
>>> > Please would you do a routing directorate QA review of
>>> > draft-ietf-trill-rbridge-multilevel?
>>> >
>>> > https://datatracker.ietf.org/doc/draft-ietf-trill-rbridge-multilevel/
>>> >
>>> >
>>> >
>>> > Note that this is a “QA review.” The document is still being worked on
>>> > by
>>> > the TRILL working group.  The goal of this review is to provide a
>>> > different
>>> > perspective on the work and to improve its quality. Hence, your comments
>>> > will be provided primarily for the benefit of the TRILL chairs and the
>>> > document authors.
>>> >
>>> >
>>> >
>>> > Please could you provide your comments by May 20 and copy your comments
>>> > to
>>> > the rtg-dir list?
>>> >
>>> >
>>> >
>>> > The following web page contains a briefing on the QA process, and
>>> > guidance
>>> > for the QA reviewer.
>>> >
>>> > https://trac.tools.ietf.org/area/rtg/trac/wiki/RtgDirDocQa
>>> >
>>> >
>>> >
>>> > Please let me know whether you can do it, or not.
>>> >
>>> >
>>> >
>>> > Many thanks
>>> >
>>> > Jon
>>> >
>>> >
>>> >
>>> >
>>> >
>>> >
>>> >
>>> >
>>>
>>
>>
>> _______________________________________________
>> trill mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/trill
>>